/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.remoting;

/**
 * Listener that can be registered with the Client to receive a
 * callback if the target server for said Client is determined to
 * be unreachable at any point.
 *
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public interface ConnectionListener
{
   /**
    * Called when a target server if found to be dead.
    *
    * @param throwable original exception thrown when trying to connect to target server.
    * @param client    the client from which this call was made.
    */
   public void handlerConnectionException(Throwable throwable, Client client);
}