/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.remoting.detection;

import java.io.Serializable;
import org.jboss.remoting.InvokerLocator;

/**
 * This is the meta data for a server invoker that is contained within
 * detection messages.
 *
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class ServerInvokerMetadata implements Serializable
{
   static final long serialVersionUID = 6971867047161027399L;

   private InvokerLocator locator;
   private String[] subSystems;

   public ServerInvokerMetadata(InvokerLocator locator, String[] supportedSubsystems)
   {
      this.locator = locator;
      this.subSystems = supportedSubsystems;
   }

   public InvokerLocator getInvokerLocator()
   {
      return locator;
   }

   public String[] getSubSystems()
   {
      return subSystems;
   }
}