/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.remoting.marshal.rmi;

import java.io.OutputStream;
import java.io.IOException;
import org.jboss.remoting.marshal.Marshaller;

/**
 * This marshaller does nothing as will not be used by default RMI invoker
 * since marshalling is done by RMI itself.
 *
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class RMIMarshaller implements Marshaller
{
   static final long serialVersionUID = -5659717749693258742L;

   public final static String DATATYPE = "rmi";

   /**
    * Marshaller will need to take the dataObject and convert
    * into primitive java data types and write to the
    * given output.
    *
    * @param dataObject Object to be writen to output
    * @param output     The data output to write the object
    *                   data to.
    */
   public void write(Object dataObject, OutputStream output) throws IOException
   {
      //NO OP
   }

   public Marshaller cloneMarshaller() throws CloneNotSupportedException
   {
      return new RMIMarshaller();
   }
}