/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 *
 * Created on Jul 23, 2005
 */
package org.jboss.remoting.transport.multiplex;


/**
 * 
 * <p>
 * Copyright (c) 2005
 * <p>
 * @author <a href="mailto:r.sigal@computer.org">Ron Sigal</a>
 */
public abstract class StoppableThread extends Thread
{
   protected boolean running = false;
   protected boolean stopped = true;
   protected boolean terminatedOnError = false;
   
/**
 * 
 */
   public void run()
   {
      running = true;
      stopped = false;
      doInit();
      
      while (running)
         doRun();
      
      doShutDown();
      stopped = true;
   }
   
   
/**
 *
 */
   protected abstract void doInit();
   
   
/**
 *
 */
   protected abstract void doRun();
   
   
/**
 *
 */
   protected abstract void doShutDown();
   
   
/**
* 
* @return
*/
   public synchronized boolean isRunning()
   {
      return running;
   }
   
   
/**
* 
* @return
*/
   public synchronized boolean isStopped()
   {
      return stopped;
   }
   
   
/**
*
*/     
   public synchronized void shutdown()
   {
      running = false;
   }
}
