
/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 *
 * Created on Aug 21, 2005
 */
package org.jboss.remoting.transport.multiplex;

import java.io.IOException;
import java.net.InetAddress;
import java.net.ServerSocket;
import java.net.SocketException;

import javax.net.ServerSocketFactory;


/**
 * A VirtualServerSocketFactory.

 * @author <a href="mailto:r.sigal@computer.org">Ron Sigal</a>
 * @version $Revision: 1.1 $
 * <p>
 * Copyright (c) 2005
 * </p>
 */

public class VirtualServerSocketFactory extends ServerSocketFactory
{

   public static ServerSocketFactory getDefault()
   {
      return new VirtualServerSocketFactory();
   }
   
   
/**
 * Create a new VirtualServerSocketFactory.
 * 
 */
   protected VirtualServerSocketFactory()
   {
   }


/**
 * 
 */
   public ServerSocket createServerSocket(int port) throws IOException
   {
      if (MultiplexingManager.isOnClient())
         return new SinglePortVirtualServerSocket(port);
      else
         return new MultiPortVirtualServerSocket(port);
   }

   
/**
 * TODO
 */
   public ServerSocket createServerSocket(int port, int backlog) throws IOException
   {
      throw new SocketException("method not implemented");
      
//      if (MultiplexingManager.isOnClient())
//         return new SinglePortVirtualServerSocket(port, backlog);
//      else
//         return new MultiPortVirtualServerSocket(port, backlog);
   }

   
/**
 * TODO
 */
   public ServerSocket createServerSocket(int port, int backlog, InetAddress address) throws IOException
   {
      if (MultiplexingManager.isOnClient())
//       return new SinglePortVirtualServerSocket(port, backlog, address);
         throw new SocketException("method not implemented");
      else
         return new MultiPortVirtualServerSocket(port, backlog, address);
   }
}

