/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.remoting.transport.socket.ssl;

import java.io.IOException;
import java.net.Socket;
import javax.net.SocketFactory;
import org.jboss.remoting.InvokerLocator;
import org.jboss.remoting.security.SSLSocketBuilder;
import org.jboss.remoting.transport.socket.SocketClientInvoker;

/**
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class SSLSocketClientInvoker extends SocketClientInvoker
{
   public SSLSocketClientInvoker(InvokerLocator locator) throws IOException
   {
      super(locator);
   }

   protected Socket createSocket(String address, int port) throws IOException
   {
      SSLSocketBuilder server = new SSLSocketBuilder();
      SocketFactory sf = null;
      try
      {
         sf = server.createSSLSocketFactory();
      }
      catch(Exception e)
      {
         log.error("Error creating SSL Socket Factory for client invoker.", e);
         throw new IOException("Error creating SSL Socket Factory.  Root cause: " + e.getMessage());
      }
      Socket s = sf.createSocket(address, port);

      return s;
   }

}