/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.remoting.configuration;

import org.jboss.remoting.Client;
import org.jboss.remoting.InvokerLocator;
import org.jboss.remoting.transport.ClientInvoker;

import junit.framework.TestCase;

/**
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class LocatorURITestCase extends TestCase
{
   private Client remotingClient1;
   private Client remotingClient2;

   public void testLocatorURI() throws Exception
   {
      String locatorURI1 = "http://satellite:8080/ws4ee-encstyle-rpc";
      String locatorURI2 = "http://satellite:8080/ws4ee-encstyle-doc";

      remotingClient1 = new Client(new InvokerLocator(locatorURI1), "test");

      ClientInvoker clientInvoker1 = remotingClient1.getInvoker();

      remotingClient2 = new Client(new InvokerLocator(locatorURI2), "test");

      ClientInvoker clientInvoker2 = remotingClient2.getInvoker();

      assertNotSame("Client invokers should NOT be the same since have different locator uri.", clientInvoker1, clientInvoker2);

   }

   public void tearDown()
   {
      if(remotingClient1 != null)
      {
         remotingClient1.disconnect();
      }
      if(remotingClient2 != null)
      {
         remotingClient2.disconnect();
      }
   }

}