/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.remoting.handler.mbean;

import org.jboss.remoting.Client;
import org.jboss.remoting.InvokerLocator;

import junit.framework.TestCase;

/**
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class ClientTest extends TestCase
{
   // Default locator values
   private static String transport = "socket";
   private static String host = "localhost";
   private static int port = 5400;

   private String locatorURI = null;

   public void testMakeInvocation() throws Throwable
   {
      if(locatorURI == null)
      {
         locatorURI = transport + "://" + host + ":" + port;
      }
      InvokerLocator locator = new InvokerLocator(locatorURI);
      System.out.println("Calling remoting server with locator uri of: " + locatorURI);

      Client remotingClient = new Client(locator);
      Object response = remotingClient.invoke("Do something");

      assertEquals(response, ServerTest.RESPONSE_VALUE);

      remotingClient.disconnect();
   }

}