/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.remoting.handler.mbean;

import org.apache.log4j.Level;
import org.jboss.jrunit.harness.TestDriver;

/**
 * This should be used as the main test case for the invoker client/server.
 * It will start one instance of the client and one of the server and will
 * gather the test results and report them in standard JUnit format.  When
 * wanting to run JUnit test for invoker, this is the class to use.
 *
 * @author <a href="mailto:telrod@e2technologies.net">Tom Elrod</a>
 */
public class MBeanHandlerTestCase extends TestDriver
{
   public void declareTestClasses()
   {
      addTestClasses(ClientTest.class.getName(),
                     1,
                     ServerTest.class.getName());
   }

   protected Level getTestHarnessLogLevel()
   {
      return Level.DEBUG;
   }
}