/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.remoting.marshall.dynamic.remote.socket;

import org.jboss.remoting.Client;
import org.jboss.remoting.InvokerLocator;

import junit.framework.TestCase;

/**
 * @author <a href="mailto:telrod@e2technologies.net">Tom Elrod</a>
 */
public class MarshallerLoadingClient extends TestCase implements MarshallerLoadingConstants
{
   public void testInvocation() throws Throwable
   {
      Client remotingClient = null;

      // first, make sure can not load marshaller from current classpath
      try
      {
         Class.forName("org.jboss.test.remoting.marshall.dynamic.remote.socket.TestMarshaller");
         assertTrue("Was able to load the TestMarshaller class locally, when it should NOT be on the classpath.", false);
         return;
      }
      catch(ClassNotFoundException e)
      {
         assertTrue("Was not able to load TestMarshaller from local classpath as expected.", true);
      }

      try
      {
         InvokerLocator locator = new InvokerLocator(locatorURI);
         System.out.println("Calling remoting server with locator uri of: " + locatorURI);

         remotingClient = new Client(locator, null);
         Object response = remotingClient.invoke("Do something", null);
         assertTrue(true);

         System.out.println("Invocation response: " + response);
      }
      finally
      {
         if(remotingClient != null)
         {
            remotingClient.disconnect();
         }
      }
   }

}