/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.remoting.performance.asynchronous;

import org.jboss.test.remoting.performance.synchronous.Payload;
import org.jboss.test.remoting.performance.synchronous.PerformanceClientTest;

/**
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class PerformanceServerSideClientTest extends PerformanceClientTest
{
   protected void makeClientCall(String testInvocation, Payload payloadWrapper) throws Throwable
   {
      makeOnewayInvocation(testInvocation, payloadWrapper, false);
   }

   public static void main(String[] args)
   {
      PerformanceServerSideClientTest test = new PerformanceServerSideClientTest();
      try
      {
         test.setUp();
         test.testClientCalls();
      }
      catch(Throwable throwable)
      {
         throwable.printStackTrace();
      }
      finally
      {
         try
         {
            test.tearDown();
         }
         catch(Exception e)
         {
            e.printStackTrace();
         }
      }
   }
}