/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.remoting.registry;

import org.jboss.remoting.transport.Connector;
import org.jboss.remoting.InvokerRegistry;
import org.jboss.remoting.ServerInvoker;
import org.jboss.remoting.InvokerLocator;

import junit.framework.TestCase;

/**
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class InvokerRegistryUpdateTestCase extends TestCase
{
   private Connector connector;
   private String locatorURI = "socket://localhost";

   public void setUp() throws Exception
   {
      connector = new Connector();
      connector.setInvokerLocator(locatorURI);
      connector.create();
      connector.stop();
   }

   public void tearDown() throws Exception
   {
      if(connector != null)
      {
         connector.stop();
         connector.destroy();
      }
   }

   public void testRegistryUpdate()
   {
      ServerInvoker[] serverInvokers = InvokerRegistry.getServerInvokers();
      ServerInvoker serverInvoker = serverInvokers[0];
      InvokerLocator locator = serverInvoker.getLocator();
      String locatorURI = locator.getLocatorURI();
      assertTrue("Invoker locator uri should have changed.", !this.locatorURI.equals(locatorURI));
   }
}