/*
 * Created on Jul 24, 2005
 *
 * TODO To change the template for this generated file go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
package org.jboss.test.remoting.transport.multiplex;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.Socket;
import java.net.UnknownHostException;
import org.apache.log4j.Level;
import org.jboss.logging.Logger;
import org.jboss.remoting.transport.multiplex.VirtualSocket;

import junit.framework.TestCase;

/**
 * <p/>
 * Copyright (c) 2005
 * <p/>
 *
 * @author <a href="mailto:r.sigal@computer.org">Ron Sigal</a>
 */
public class SimpleClientTest extends TestCase
{
   private static final Logger log = Logger.getLogger(SimpleClientTest.class);

   private Socket socket = null;

   private ObjectOutputStream oos = null;
   private ObjectInputStream ois = null;

   /**
    *
    */
   public SimpleClientTest()
   {
   }


   public static void main(String[] args)
   {
      org.apache.log4j.BasicConfigurator.configure();
      org.apache.log4j.Category.getRoot().setLevel(Level.DEBUG);

      new SimpleClientTest().testClient();
   }


   public void testClient()
   {
      log.info("Starting client test");

      try
      {
         socket = new VirtualSocket("127.0.0.1", 1999);
      }
      catch(UnknownHostException e)
      {
         log.error("UnknownHostException for \"localhost\"");
         e.printStackTrace();
      }
      catch(IOException e)
      {
         log.error("i/o exception creating VirtualSocket");
         e.printStackTrace();
      }

      try
      {
         oos = new ObjectOutputStream(socket.getOutputStream());
         ois = new ObjectInputStream(socket.getInputStream());

         for(int x = 0; x < 10; x++)
         {
            oos.writeObject(new Integer(x));
            oos.flush();

            Integer i = (Integer) ois.readObject();
            System.out.println((x + 100) + " - " + i.intValue() + " are equal?  " + (((x + 100) == i.intValue()) ? "true" : "FALSE"));
            assertEquals(x + 100, i.intValue());
         }

      }
      catch(IOException e)
      {
         log.error("i/o error", e);
         e.printStackTrace();
      }
      catch(ClassNotFoundException e)
      {
         log.error("class not found", e);
         e.printStackTrace();
      }

      try
      {
         socket.close();
      }
      catch(IOException ignore)
      {
         log.error("i/o exception closing socket");
      }

      log.info("Ending client test (main thread)");
   }


}
